summaryrefslogtreecommitdiffstats
path: root/jjb/xci
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/xci')
-rw-r--r--jjb/xci/osa-periodic-jobs.yml4
-rwxr-xr-xjjb/xci/xci-cleanup.sh4
2 files changed, 4 insertions, 4 deletions
diff --git a/jjb/xci/osa-periodic-jobs.yml b/jjb/xci/osa-periodic-jobs.yml
index cf4916bde..e604a0a03 100644
--- a/jjb/xci/osa-periodic-jobs.yml
+++ b/jjb/xci/osa-periodic-jobs.yml
@@ -247,8 +247,8 @@
- shell: |
#!/bin/bash
- sudo virsh destroy ${DISTRO}_xci_vm
- sudo virsh undefine ${DISTRO}_xci_vm
+ sudo virsh destroy ${DISTRO}_xci_vm || true
+ sudo virsh undefine ${DISTRO}_xci_vm || true
# this will be enabled once the xci is prepared
# - builder:
diff --git a/jjb/xci/xci-cleanup.sh b/jjb/xci/xci-cleanup.sh
index 45b4ec273..ce84830aa 100755
--- a/jjb/xci/xci-cleanup.sh
+++ b/jjb/xci/xci-cleanup.sh
@@ -20,5 +20,5 @@ if [[ "$GERRIT_TOPIC" =~ 'skip-verify' ]]; then
exit 0
fi
-sudo virsh destroy ${DISTRO}_xci_vm
-sudo virsh undefine ${DISTRO}_xci_vm
+sudo virsh destroy ${DISTRO}_xci_vm || true
+sudo virsh undefine ${DISTRO}_xci_vm || true